From: "David Seifert" <soap@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sci-libs/htslib/
Date: Thu, 30 Mar 2023 11:11:18 +0000 (UTC) [thread overview]
Message-ID: <1680174658.30fc69a81e71a3c6d6a72af3b9b24e5b742c2832.soap@gentoo> (raw)
commit: 30fc69a81e71a3c6d6a72af3b9b24e5b742c2832
Author: David Seifert <soap <AT> gentoo <DOT> org>
AuthorDate: Thu Mar 30 11:10:58 2023 +0000
Commit: David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Thu Mar 30 11:10:58 2023 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=30fc69a8
sci-libs/htslib: add 1.17
Signed-off-by: David Seifert <soap <AT> gentoo.org>
sci-libs/htslib/Manifest | 1 +
sci-libs/htslib/htslib-1.17.ebuild | 52 ++++++++++++++++++++++++++++++++++++++
2 files changed, 53 insertions(+)
diff --git a/sci-libs/htslib/Manifest b/sci-libs/htslib/Manifest
index 5634c4532cc9..6f53bfe1e726 100644
--- a/sci-libs/htslib/Manifest
+++ b/sci-libs/htslib/Manifest
@@ -1 +1,2 @@
DIST htslib-1.16.tar.bz2 4466776 BLAKE2B 4957dd7a25b3d0b939d4e924db018916a5f8a13a81e55ebd1ce1acc548986e581d017ead9a08245a4af1ebdcd15536f082425ebe05f16eb4faad27d332e48482 SHA512 9fa0b1f9bba50f889d4542825c9543fb3b34c13b4cc0e18940a66fafd130749574bfa2c2663d8b39f0b4ed2b298bf130367cda1b17b2929093d64b386730cbc5
+DIST htslib-1.17.tar.bz2 4619884 BLAKE2B c45591b3f1da4f6ddfdf5e1a20864583d57de2a460d42049715335fce7dafe1f5cd14403e6033fee4f9d0bfc75f8777b5835d2d01bf2cadff0155d9fc92b97d9 SHA512 624ab449d57713dab2d34399926c065f8cff8a45e6fbe68e0bb518c601421f587b613caeb095f8639b1d67cdb4a65d658c85f942173bcaa48da026fe15def5d3
diff --git a/sci-libs/htslib/htslib-1.17.ebuild b/sci-libs/htslib/htslib-1.17.ebuild
new file mode 100644
index 000000000000..6f690363326b
--- /dev/null
+++ b/sci-libs/htslib/htslib-1.17.ebuild
@@ -0,0 +1,52 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit toolchain-funcs
+
+DESCRIPTION="C library for high-throughput sequencing data formats"
+HOMEPAGE="http://www.htslib.org/"
+SRC_URI="https://github.com/samtools/${PN}/releases/download/${PV}/${P}.tar.bz2"
+
+LICENSE="MIT"
+SLOT="0/3"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="+bzip2 curl +lzma"
+
+RDEPEND="
+ sys-libs/zlib
+ bzip2? ( app-arch/bzip2 )
+ curl? ( net-misc/curl )
+ lzma? ( app-arch/xz-utils )"
+DEPEND="${RDEPEND}"
+
+src_prepare() {
+ default
+
+ # upstream injects LDFLAGS into the .pc file,
+ # which is a big nono for QA
+ sed -e '/^\(static_l\|Libs.private\|Requires.private\)/d' \
+ -i htslib.pc.in || die
+}
+
+src_configure() {
+ econf \
+ --disable-gcs \
+ --disable-plugins \
+ --disable-s3 \
+ $(use_enable bzip2 bz2) \
+ $(use_enable curl libcurl) \
+ $(use_enable lzma)
+}
+
+src_compile() {
+ emake AR="$(tc-getAR)"
+}
+
+src_install() {
+ default
+
+ # doesn't use libtool, can't disable static libraries
+ find "${ED}" -name '*.a' -delete || die
+}
next reply other threads:[~2023-03-30 11:11 UTC|newest]
Thread overview: 23+ messages / expand[flat|nested] mbox.gz Atom feed top
2023-03-30 11:11 David Seifert [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-05-24 8:59 [gentoo-commits] repo/gentoo:master commit in: sci-libs/htslib/ David Seifert
2024-05-24 8:59 David Seifert
2024-03-26 11:06 David Seifert
2023-04-06 19:29 David Seifert
2023-02-19 15:44 David Seifert
2022-12-27 0:06 David Seifert
2022-12-27 0:06 David Seifert
2022-06-19 8:09 David Seifert
2022-06-10 12:42 David Seifert
2022-03-19 11:38 David Seifert
2021-10-11 14:55 David Seifert
2021-10-03 17:41 David Seifert
2020-12-10 13:44 David Seifert
2020-08-03 21:11 David Seifert
2020-08-03 16:56 David Seifert
2020-03-20 9:04 Agostino Sarubbo
2020-03-20 8:59 Agostino Sarubbo
2018-10-28 20:25 David Seifert
2017-09-02 12:37 David Seifert
2017-07-29 9:21 David Seifert
2016-07-30 8:28 David Seifert
2016-03-27 22:40 David Seifert
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1680174658.30fc69a81e71a3c6d6a72af3b9b24e5b742c2832.soap@gentoo \
--to=soap@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox